Package Details: libfm-git 1.2.2.1.35.gf238b1b-1

Git Clone URL: https://aur.archlinux.org/libfm-git.git (read-only, click to copy)
Package Base: libfm-git
Description: A glib/gio-based library to develop file managers. Does not include the GTK components.
Upstream URL: http://www.lxde.org
Licenses: GPL2
Conflicts: libfm, libfm-extra
Provides: libfm, libfm-extra
Submitter: None
Maintainer: ljmf00
Last Packager: jleclanche
Votes: 119
Popularity: 0.000000
First Submitted: 2009-12-24 04:42
Last Updated: 2015-06-09 12:33

Dependencies (7)

Required by (2)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 Next › Last »

Anonymous comment on 2012-07-17 23:04

To the maintainer,

Here is simple patch to the PKGBUILD which
1) Updates the description according to description of the Git repo (http://pcmanfm.git.sourceforge.net/git/gitweb.cgi?p=pcmanfm/libfm)
2) Enables building and installation of gtk-doc (as requested in the comments below)

<pre>
mloskot libfm-git $ diff -Nua PKGBUILD.original PKGBUILD
--- PKGBUILD.original 2012-07-18 00:01:10.107669494 +0100
+++ PKGBUILD 2012-07-17 23:54:10.686607932 +0100
@@ -1,11 +1,12 @@
#Maintainer : Jekyll wu <adapte [at] gmail [dot] com>
#Contributor: Carbon Jiao <http://archlive-pkg.googlecode.com>
+#Contributor: Mateusz Loskot <mateusz@loskot.net>

pkgname=libfm-git
-pkgver=20111204
+pkgver=20120717
pkgrel=1
url="http://pcmanfm.sourceforge.net/"
-pkgdesc="Libs also excutable standalone progs, for next generation File manager of the LXDE Desktop"
+pkgdesc="A glib/gio-based lib used to develop file managers providing some file management utilities and related-widgets missing in gtk+/glib."
arch=('i686' 'x86_64')
license=('GPL')
depends=('udisks' 'gtk2' 'glib2' 'vala' 'menu-cache')
@@ -36,7 +37,7 @@
msg "Start to build..."
cd "$srcdir/${_gitname}-build"
sh ./autogen.sh
- ./configure --prefix=/usr --sysconfdir=/etc --enable-udisks --with-gnu-ld || return 1
+ ./configure --prefix=/usr --sysconfdir=/etc --enable-udisks --enable-gtk-doc --with-gnu-ld || return 1

# strange: twice make is needed only for makepkg; compiling manually is fine
make || make
mloskot libfm-git $
</pre>

Anonymous comment on 2012-07-17 23:03

To the maintainer,

Here is simple patch to the PKGBUILD which
1) Updates the description according to description of the Git repo (http://pcmanfm.git.sourceforge.net/git/gitweb.cgi?p=pcmanfm/libfm)
2) Enables building and installation of gtk-doc (as requested in the comments below)

mloskot libfm-git $ diff -Nua PKGBUILD.original PKGBUILD
--- PKGBUILD.original 2012-07-18 00:01:10.107669494 +0100
+++ PKGBUILD 2012-07-17 23:54:10.686607932 +0100
@@ -1,11 +1,12 @@
#Maintainer : Jekyll wu <adapte [at] gmail [dot] com>
#Contributor: Carbon Jiao <http://archlive-pkg.googlecode.com>
+#Contributor: Mateusz Loskot <mateusz@loskot.net>

pkgname=libfm-git
-pkgver=20111204
+pkgver=20120717
pkgrel=1
url="http://pcmanfm.sourceforge.net/"
-pkgdesc="Libs also excutable standalone progs, for next generation File manager of the LXDE Desktop"
+pkgdesc="A glib/gio-based lib used to develop file managers providing some file management utilities and related-widgets missing in gtk+/glib."
arch=('i686' 'x86_64')
license=('GPL')
depends=('udisks' 'gtk2' 'glib2' 'vala' 'menu-cache')
@@ -36,7 +37,7 @@
msg "Start to build..."
cd "$srcdir/${_gitname}-build"
sh ./autogen.sh
- ./configure --prefix=/usr --sysconfdir=/etc --enable-udisks --with-gnu-ld || return 1
+ ./configure --prefix=/usr --sysconfdir=/etc --enable-udisks --enable-gtk-doc --with-gnu-ld || return 1

# strange: twice make is needed only for makepkg; compiling manually is fine
make || make
mloskot libfm-git $

Anonymous comment on 2011-12-04 06:33

Built and installed for me. Thank you!

cookiecaper commented on 2011-12-04 00:34

This does not build anymore.

make[4]: *** No rule to make target `fm-actions.h', needed by `all-am'. Stop.
make[4]: *** Waiting for unfinished jobs....

duthils commented on 2011-08-10 22:49

Problem solved upstream, but the PKGBUILD still needs some updating.

duthils commented on 2011-08-07 21:28

It needs an 'm4' directory to be created before launching autogen.sh.

Updated PKGBUILD :
http://pastebin.archlinux.fr/433446

duthils commented on 2011-05-29 15:46

There's a typo in optdepends :
'gvfs: To sccess remote file systems.' -> access

hatred commented on 2010-09-28 00:14

Also request gtk-doc as build dep

knedlyk commented on 2010-09-25 08:58

Yeah, please add gtk-doc to dependencies.

Anonymous comment on 2010-09-23 16:35

seems gtk-doc is needed to build now -

./autogen.sh: line 20: gtkdocize: command not found
You need gtk-doc to build this package.
http://www.gtk.org/gtk-doc/